(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11382,        352]
NotebookOptionsPosition[     10947,        334]
NotebookOutlinePosition[     11311,        350]
CellTagsIndexPosition[     11268,        347]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{
    RowBox[{"General", "::", "spell1"}], ",", 
    RowBox[{"General", "::", "spell"}], ",", 
    RowBox[{"Solve", "::", "svars"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{
    RowBox[{"\"\<FileName\>\"", "/.", "\[InvisibleSpace]", 
     RowBox[{"NotebookInformation", "[", 
      RowBox[{"EvaluationNotebook", "[", "]"}], "]"}]}], "/.", 
    "\[InvisibleSpace]", 
    RowBox[{
     RowBox[{"FrontEnd`FileName", "[", 
      RowBox[{"d_List", ",", "nam_", ",", "___"}], "]"}], "\[RuleDelayed]", 
     RowBox[{"ToFileName", "[", "d", "]"}]}]}], "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tepl", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"i", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"-", "20"}], ",", "25", ",", "5"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{"Length", "[", "%", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pel35", "=", 
   RowBox[{"{", 
    RowBox[{
    "20", ",", "20.5", ",", "20.8", ",", "21.5", ",", "22", ",", "22.5", ",", 
     "22.9", ",", "23.5", ",", "24", ",", "24.3"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pel50", "=", 
   RowBox[{"{", 
    RowBox[{
    "28.5", ",", "28.5", ",", "28.5", ",", "29", ",", "29.5", ",", "30", ",", 
     "30", ",", "30.5", ",", "30.8", ",", "31"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pel60", "=", 
   RowBox[{"{", 
    RowBox[{
    "39", ",", "39", ",", "38.5", ",", "38.4", ",", "38.3", ",", "38.2", ",", 
     "38.5", ",", "39.5", ",", "40", ",", "40"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ptop35", "=", 
   RowBox[{"{", 
    RowBox[{
    "39", ",", "42", ",", "49", ",", "55.5", ",", "60", ",", "66.5", ",", 
     "73", ",", "88.5", ",", "91", ",", "94.5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ptop50", "=", 
   RowBox[{"{", 
    RowBox[{
    "45", ",", "47.5", ",", "54.2", ",", "60", ",", "65", ",", "71.5", ",", 
     "77.5", ",", "92.4", ",", "94.5", ",", "98.5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ptop60", "=", 
   RowBox[{"{", 
    RowBox[{
    "52", ",", "54.5", ",", "60.5", ",", "66", ",", "70", ",", "76.5", ",", 
     "82.5", ",", "96.5", ",", "98.5", ",", "103.5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m", "=", 
   RowBox[{"1000", 
    FractionBox["35.", "125"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radekEl35", "[", "i_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"tepl", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", "35.", ",", 
     RowBox[{"pel35", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radekEl50", "[", "i_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"tepl", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", "50.", ",", 
     RowBox[{"pel50", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radekEl60", "[", "i_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"tepl", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", "60.", ",", 
     RowBox[{"pel60", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radekTop35", "[", "i_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"tepl", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", "35.", ",", 
     RowBox[{"ptop35", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radekTop50", "[", "i_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"tepl", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", "50.", ",", 
     RowBox[{"ptop50", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"radekTop60", "[", "i_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"tepl", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", "60.", ",", 
     RowBox[{"ptop60", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataEl", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"radekEl35", "[", "i", "]"}], ",", 
         RowBox[{"radekEl50", "[", "i", "]"}], ",", 
         RowBox[{"radekEl60", "[", "i", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataTop", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"radekTop35", "[", "i", "]"}], ",", 
         RowBox[{"radekTop50", "[", "i", "]"}], ",", 
         RowBox[{"radekTop60", "[", "i", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pel", "[", 
    RowBox[{"Tvzduch_", ",", "Tvoda_"}], "]"}], "=", 
   RowBox[{"m", "*", 
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{"dataEl", ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}]}], "]"}], "[", 
     RowBox[{"Tvzduch", ",", "Tvoda"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Ptop", "[", 
    RowBox[{"Tvzduch_", ",", "Tvoda_"}], "]"}], "=", 
   RowBox[{"m", "*", 
    RowBox[{
     RowBox[{"Interpolation", "[", 
      RowBox[{"dataTop", ",", 
       RowBox[{"InterpolationOrder", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}]}], "]"}], "[", 
     RowBox[{"Tvzduch", ",", "Tvoda"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eps", "[", 
    RowBox[{"Tvzduch_", ",", "Tvoda_"}], "]"}], "=", 
   FractionBox[
    RowBox[{"Ptop", "[", 
     RowBox[{"Tvzduch", ",", "Tvoda"}], "]"}], 
    RowBox[{"Pel", "[", 
     RowBox[{"Tvzduch", ",", "Tvoda"}], "]"}]]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6700498446704683`*^9, 3.6700498480142183`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ts", "=", "0.008"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ps", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"GrayLevel", "[", "0", "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "ts", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0", ",", "0", ",", "1"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "ts", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.5", ",", "0.5", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "ts", "]"}], ",", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "0", ",", "0"}], "]"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"Ptop", "[", 
      RowBox[{"Tvzduch", ",", "35"}], "]"}], ",", 
     RowBox[{"Ptop", "[", 
      RowBox[{"Tvzduch", ",", "50"}], "]"}], ",", 
     RowBox[{"Ptop", "[", 
      RowBox[{"Tvzduch", ",", "60"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Tvzduch", ",", 
     RowBox[{"-", "20"}], ",", "25"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Tv[\[Degree]C]\>\"", ",", "\"\<Ptop[W]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"Pel", "[", 
      RowBox[{"Tvzduch", ",", "35"}], "]"}], ",", 
     RowBox[{"Pel", "[", 
      RowBox[{"Tvzduch", ",", "50"}], "]"}], ",", 
     RowBox[{"Pel", "[", 
      RowBox[{"Tvzduch", ",", "60"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Tvzduch", ",", 
     RowBox[{"-", "20"}], ",", "25"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Tv[\[Degree]C]\>\"", ",", "\"\<Pel[W]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"eps", "[", 
      RowBox[{"Tvzduch", ",", "35"}], "]"}], ",", 
     RowBox[{"eps", "[", 
      RowBox[{"Tvzduch", ",", "50"}], "]"}], ",", 
     RowBox[{"eps", "[", 
      RowBox[{"Tvzduch", ",", "60"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Tvzduch", ",", 
     RowBox[{"-", "20"}], ",", "25"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Tv[\[Degree]C]\>\"", ",", "\"\<\[Epsilon][1]\>\""}], 
     "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.669535306734375*^9, 3.669535309109375*^9}}],

Cell[BoxData[
 RowBox[{"Put", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Pel", "[", 
      RowBox[{"Tvzduch", ",", "Tvoda"}], "]"}], ",", 
     RowBox[{"Ptop", "[", 
      RowBox[{"Tvzduch", ",", "Tvoda"}], "]"}], ",", 
     RowBox[{"eps", "[", 
      RowBox[{"Tvzduch", ",", "Tvoda"}], "]"}]}], "}"}], ",", 
   "\"\<struct\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.5010899080625*^9, 3.501089933765625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"struct", "=", 
   RowBox[{"Get", "[", "\"\<struct\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Pel", "[", 
    RowBox[{"Tvzduch_", ",", "Tvoda_"}], "]"}], "=", 
   RowBox[{"struct", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Ptop", "[", 
    RowBox[{"Tvzduch_", ",", "Tvoda_"}], "]"}], "=", 
   RowBox[{"struct", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eps", "[", 
    RowBox[{"Tvzduch_", ",", "Tvoda_"}], "]"}], "=", 
   RowBox[{"struct", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5010898795625*^9, 3.50108988046875*^9}}]
},
WindowSize->{869, 537},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.25,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 679, 17, 80, "Input"],
Cell[1227, 39, 5731, 175, 536, "Input"],
Cell[6961, 216, 2753, 77, 212, "Input"],
Cell[9717, 295, 430, 12, 58, "Input"],
Cell[10150, 309, 793, 23, 124, "Input"]
}
]
*)

(* End of internal cache information *)
